> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Récupérer une commande de vente

> Renvoie une commande de vente par son identifiant.

Renvoie une commande de vente par son identifiant.

```json Réponse theme={null}
{
  "salesOrdersByPk": {
    "id": 6,
    "reference": "OC-0006",
    "customerReference": "PO-4471",
    "dueDate": "2026-08-26",
    "stockAvailability": "PARTIAL",
    "customer": {
      "id": 3,
      "name": "MecMar"
    },
    "site": {
      "id": 1,
      "name": "Atelier Nord"
    },
    "lines": [
      {
        "id": 12,
        "quantity": 150,
        "unitPrice": 85,
        "total": 12750,
        "article": {
          "code": "CAM-PEEK",
          "name": "Came PEEK"
        }
      }
    ]
  }
}
```


## OpenAPI

````yaml openapi.json GET /sales-orders/{id}
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /sales-orders/{id}:
    get:
      summary: Retrieve a sales order
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - description: _"id" is required as part of the path_
          in: path
          name: id
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  salesOrdersByPk:
                    nullable: true
                    properties:
                      customer:
                        description: A client or supplier organisation
                        nullable: true
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      customerReference:
                        nullable: true
                        type: string
                      dueDate:
                        $ref: '#/components/schemas/date'
                      id:
                        nullable: false
                        type: integer
                      issuanceDate:
                        $ref: '#/components/schemas/date'
                      lines:
                        items:
                          nullable: false
                          properties:
                            article:
                              description: >-
                                Articles with physical reality (= manage-able in
                                stock). This table includes all article types
                                (raw materials, semi-finished, finished
                                products, consumables, etc.)
                              nullable: true
                              properties:
                                code:
                                  nullable: true
                                  type: string
                                id:
                                  nullable: false
                                  type: integer
                                name:
                                  nullable: false
                                  type: string
                                unit:
                                  nullable: true
                                  type: string
                              type: object
                            description:
                              nullable: true
                              type: string
                            id:
                              nullable: false
                              type: integer
                            quantity:
                              $ref: '#/components/schemas/numeric'
                            total:
                              $ref: '#/components/schemas/numeric'
                            unitPrice:
                              $ref: '#/components/schemas/numeric'
                          type: object
                        nullable: false
                        type: array
                      reference:
                        nullable: false
                        type: string
                      site:
                        nullable: false
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      step:
                        nullable: true
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      stockAvailability:
                        nullable: true
                        type: string
                    type: object
          description: Response
components:
  schemas:
    date:
      nullable: false
    numeric:
      nullable: false

````